package com.usky.dxtop.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.usky.dxtop.model.Charge;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.Map;


/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author yq
 * @since 2021-09-09
 */
public interface ChargeMapper extends BaseMapper<Charge> {


    /**
     * 分页
     * @param page
     * @param startTime
     * @param endTime
     * @param cart
     * @param userName
     * @return
     */
    Page<Charge> page(IPage<Charge> page,
                      @Param("startTime") Date startTime,
                      @Param("endTime")Date endTime,
                      @Param("cart")String cart,
                      @Param("userName")String userName,
                      @Param("userId")String userId,
                      @Param("messageFlag")Boolean messageFlag);


    /**
     * 分页
     * @param page
     * @param startTime
     * @param endTime
     * @param cart
     * @param userName
     * @return
     */
    Page<Map<String,Object>> cordPage(IPage<Map<String,Object>> page,
                          @Param("startTime") Date startTime,
                          @Param("endTime")Date endTime,
                          @Param("cart")String cart,
                          @Param("userName")String userName,
                          @Param("userId")String userId,
                                      @Param("messageFlag")Boolean messageFlag);

}
