package com.usky.dxtop.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.usky.dxtop.common.core.page.CommonPage;
import com.usky.dxtop.mapper.ChargeMapper;
import com.usky.dxtop.model.Charge;
import com.usky.dxtop.service.ChargeService;
import com.usky.dxtop.service.vo.ChargeRequest;
import org.springframework.stereotype.Service;

import java.util.Map;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author yq
 * @since 2021-09-09
 */
@Service
public class ChargeServiceImpl extends ServiceImpl<ChargeMapper, Charge> implements ChargeService {

    @Override
    public CommonPage<Charge> page(ChargeRequest chargeRequest) {
        IPage<Charge> page = new Page<>(chargeRequest.getCurrent(), chargeRequest.getSize());
        page = baseMapper.page(page,chargeRequest.getStartTime(),
                chargeRequest.getEndTime(),chargeRequest.getCart(),
                chargeRequest.getNameOrPhone(),chargeRequest.getUserId(),chargeRequest.getMessageFlag()
        );
        return new CommonPage<>(page.getRecords(),page.getTotal(),page.getSize(),page.getCurrent());
    }

    @Override
    public CommonPage<Map<String, Object>> cordPage(ChargeRequest chargeRequest) {
        IPage<Map<String,Object>> page = new Page<>(chargeRequest.getCurrent(), chargeRequest.getSize());
        page = baseMapper.cordPage(page,chargeRequest.getStartTime(),
                chargeRequest.getEndTime(),chargeRequest.getCart(),
                chargeRequest.getNameOrPhone(),chargeRequest.getUserId(),chargeRequest.getMessageFlag()
        );
        return new CommonPage<>(page.getRecords(),page.getTotal(),page.getSize(),page.getCurrent());
    }

    @Override
    public Charge one(Long seq) {
        return this.getById(seq);
    }

    @Override
    public Boolean update(Charge charge) {
        return this.updateById(charge);
    }
}
