package com.usky.dxtop.service.impl;

import com.baomidou.mybatisplus.core.conditions.update.LambdaUpdateWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.usky.dxtop.mapper.StaffRadioMapper;
import com.usky.dxtop.model.StaffRadio;
import com.usky.dxtop.service.StaffRadioService;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author yq
 * @since 2021-09-23
 */
@Service
public class StaffRadioServiceImpl extends ServiceImpl<StaffRadioMapper, StaffRadio> implements StaffRadioService {


    @Override
    public void addList(List<StaffRadio> list) {
        list.stream()
                .filter(staffRadio -> null != staffRadio.getRadioId() && 0 != staffRadio.getRadioId())
                .forEach(staffRadio -> {
                    LambdaUpdateWrapper<StaffRadio> updateWrapper = Wrappers.lambdaUpdate();
                    updateWrapper.eq(StaffRadio::getStaffId, staffRadio.getStaffId())
                            .set(StaffRadio::isDelFlag,staffRadio.isDelFlag());
                    this.saveOrUpdate(staffRadio,updateWrapper);
                });

    }

    @Override
    public List<Map<String,Object>> staffRadio() {
        return baseMapper.staffRadio();
    }
}
